no.sesat.search.mode.command
Class PlatefoodPPCSearchCommand

java.lang.Object
  extended by no.sesat.search.mode.command.AbstractSearchCommand
      extended by no.sesat.search.mode.command.AbstractXmlSearchCommand
          extended by no.sesat.search.mode.command.AbstractYahooSearchCommand
              extended by no.sesat.search.mode.command.PlatefoodPPCSearchCommand
All Implemented Interfaces:
Serializable, Callable<ResultList<ResultItem>>, SearchCommand

public class PlatefoodPPCSearchCommand
extends AbstractYahooSearchCommand

This is largely an example class.

Version:
$Id: PlatefoodPPCSearchCommand.java 7225 2009-04-09 00:32:20Z ssmiweve $
See Also:
Serialized Form

Nested Class Summary
 
Nested classes/interfaces inherited from class no.sesat.search.mode.command.AbstractSearchCommand
AbstractSearchCommand.QueryBuilderFactory, AbstractSearchCommand.ReconstructedQuery
 
Nested classes/interfaces inherited from interface no.sesat.search.mode.command.SearchCommand
SearchCommand.Context
 
Field Summary
 
Fields inherited from class no.sesat.search.mode.command.AbstractSearchCommand
completed, context, datamodel, datamodelParameters, DUMP, untransformedQuery
 
Constructor Summary
PlatefoodPPCSearchCommand(SearchCommand.Context cxt)
          Create new Platefood command.
 
Method Summary
protected  BasicResultItem createItem(Element ppcListing)
          Each individual result is usually defined within one given Element.
 ResultList<ResultItem> execute()
          Execute the command.
protected  String getParameter(String paramName)
          Returns parameter value.
 
Methods inherited from class no.sesat.search.mode.command.AbstractYahooSearchCommand
getAffilDataParameter, getPartnerId
 
Methods inherited from class no.sesat.search.mode.command.AbstractXmlSearchCommand
createRequestURL, getXmlRestful, setXmlRestful
 
Methods inherited from class no.sesat.search.mode.command.AbstractSearchCommand
addFilterString, call, constructQueryBuilder, createQuery, createQuery, escape, getCurrentOffset, getEngine, getFieldFilter, getFilter, getFilterBuilder, getOffset, getQuery, getQueryBuilder, getQueryRepresentation, getReservedWords, getResultsToReturn, getSearchConfiguration, getSearchResult, getSingleParameter, getTransformedQuery, getTransformedQuerySesamSyntax, getTransformedTerms, getUserSortBy, handleCancellation, initialiseTransformedTerms, isCancelled, isPaginated, isUserSortable, performExecution, performQueryTransformation, performResultHandling, setTransformedQuerySesamSyntax, statisticsInfo, toString, updateTransformedQuerySesamSyntax, visitXorClause
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

PlatefoodPPCSearchCommand

public PlatefoodPPCSearchCommand(SearchCommand.Context cxt)
Create new Platefood command.

Parameters:
cxt -
Method Detail

execute

public ResultList<ResultItem> execute()
Execute the command.

Specified by:
execute in class AbstractSearchCommand
Returns:
the search result

createItem

protected BasicResultItem createItem(Element ppcListing)
Description copied from class: AbstractXmlSearchCommand
Each individual result is usually defined within one given Element.

Specified by:
createItem in class AbstractXmlSearchCommand
Parameters:
ppcListing - the w3c element
Returns:
the ResultItem

getParameter

protected String getParameter(String paramName)
Description copied from class: AbstractSearchCommand
Returns parameter value. Changed since 2.16.1 so that only request parameters are searched.

Overrides:
getParameter in class AbstractSearchCommand
Parameters:
paramName - the name of the parameter to look for.
Returns:
the parameter value, unescaped, or null if parameter does not exist.


Copyright © 2005-2009 Schibsted ASA. All Rights Reserved.